#include "USBconstant.h"


//Device descriptor
__code uint8_t DevDesc[] = {
  0x12, 0x01,
  0x00, 0x02,              //USB spec release number in BCD format, USB1.1 (0x10, 0x01).
  0x00, 0x00, 0x00,        //bDeviceClass, bDeviceSubClass, bDeviceProtocol
  0x40,                    //bNumConfigurations
  0x0D, 0x0F, 0x92, 0x00,  // VID PID
  0x00, 0x01,              //version
  0x01, 0x02, 0x00,        //bString
  0x01                     //bNumConfigurations
};

__code uint16_t DevDescLen = sizeof(DevDesc);

__code uint8_t CfgDesc[] = {
  0x09, 0x02, 0x29, 0x00,
  0x01, 0x01, 0x00, 0x80, 0xFA,  //Configuration descriptor (1 interface)
  // Interface 1 (HID) descriptor
  0x09, 0x04, 0x00, 0x00, 0x02, 0x03, 0x00, 0x00, 0x00,  // HID Keyboard, 2 endpoints
  0x09, 0x21, 0x11, 0x01, 0x00, 0x01, 0x22, 0x56, 0x00,  //HID Descriptor
  0x07, 0x05, 0x02, 0x03, 0x40, 0x00, 0x01,              //endpoint descriptor
  0x07, 0x05, 0x81, 0x03, 0x40, 0x00, 0x01,              //endpoint descriptor
};

__code uint16_t ReportDescLen = sizeof(ReportDesc);

__code uint8_t ReportDesc[] = {
  0x05, 0x01, 0x09, 0x05, 0xa1, 0x01, 0x15, 0x00, 0x25, 0x01, 0x35, 0x00,
  0x45, 0x01, 0x75, 0x01, 0x95, 0x10, 0x05, 0x09, 0x19, 0x01, 0x29, 0x10,
  0x81, 0x02, 0x05, 0x01, 0x25, 0x07, 0x46, 0x3b, 0x01, 0x75, 0x04, 0x95,
  0x01, 0x65, 0x14, 0x09, 0x39, 0x81, 0x42, 0x65, 0x00, 0x95, 0x01, 0x81,
  0x01, 0x26, 0xff, 0x00, 0x46, 0xff, 0x00, 0x09, 0x30, 0x09, 0x31, 0x09,
  0x32, 0x09, 0x35, 0x75, 0x08, 0x95, 0x04, 0x81, 0x02, 0x06, 0x00, 0xff,
  0x09, 0x20, 0x95, 0x01, 0x81, 0x02, 0x0a, 0x21, 0x26, 0x95, 0x08, 0x91,
  0x02, 0xc0
};

__code uint16_t CfgDescLen = sizeof(CfgDesc);

//String Descriptors
__code uint8_t LangDes[] = { 0x04, 0x03, 0x09, 0x04 };  //Language Descriptor
__code uint16_t LangDesLen = sizeof(LangDes);
__code uint8_t Prod_Des[] = {  //Produce String Descriptor
  0x24, 0x03,
  'P', 0x00, 'O', 0x00, 'K', 0x00, 'K', 0x00, 'E', 0x00, 'N', 0x00, ' ', 0x00,
  'C', 0x00, 'O', 0x00, 'N', 0x00, 'T', 0x00, 'R', 0x00, 'O', 0x00, 'L', 0x00, 'L', 0x00, 'E', 0x00, 'R', 0x00
};
__code uint16_t Prod_DesLen = sizeof(Prod_Des);

__code uint8_t Manuf_Des[] = {
  0x1C, 0x03,
  'H', 0x00, 'O', 0x00, 'R', 0x00, 'I', 0x00, ' ', 0x00,
  'C', 0x00, 'O', 0x00, '.', 0x00, ',', 0x00, 'L', 0x00, 'T', 0x00, 'D', 0x00, '.', 0x00
};
__code uint16_t Manuf_DesLen = sizeof(Manuf_Des);